Bug 105261 - [HSW] Intermittent failures on KHR-GLES31.core.tessellation_shader.tessellation_control_to_tessellation_evaluation.gl_tessLevel
Summary: [HSW] Intermittent failures on KHR-GLES31.core.tessellation_shader.tessellati...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-26 21:53 UTC by Clayton Craft
Modified: 2019-09-25 19:09 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clayton Craft 2018-02-26 21:53:48 UTC
In mesa CI, there are intermittent (~90%) failures on this test:
KHR-GLES31.core.tessellation_shader.tessellation_control_to_tessellation_evaluation.gl_tessLevel.

stdout:

Invalid inner/outer tessellation level used in TE stage; expected outer:(16.8, 8.2)  rendered outer:(0, 0) vertex spacing mode: equal_spacing
Invalid inner/outer tessellation level used in TE stage at esextcTessellationShaderTCTE.cpp:3671


I wasn't able to reproduce this after looping glcts on this one test (with multiple instanced running), but it does fail if looping the full glcts.
Comment 1 Marina Chernish 2018-10-26 10:04:30 UTC
Hi Clayton,

I doublechecked this test on my Haswell (Intel® HD Graphics 4600) and caught about 30% of fails.

Here is log output of the fail:
./glcts -n "KHR-GLES31.core.tessellation_shader.tessellation_control_to_tessellation_evaluation.gl_tessLevel"
Writing test log into TestResults.qpa
dEQP Core git-c48d72686423076b78b205fdb193d142a38f747a (0xc48d7268) starting..
target implementation = 'X11 EGL/GLX'

Test case 'KHR-GLES31.core.tessellation_shader.tessellation_control_to_tessellation_evaluation.gl_tessLevel'..
Fail (Invalid inner/outer tessellation level used in TE stage at esextcTessellationShaderTCTE.cpp:3671)

DONE!

Test run totals:
Passed: 0/1 (0.0%)
Failed: 1/1 (100.0%)
Not supported: 0/1 (0.0%)
Warnings: 0/1 (0.0%)

It passed 100% (100/100) on the 13.0.6 mesa (I've run it 100 times in a row having 1 sec of delay) and it got failed ~30% on the 17.0.0 mesa so I've made bisect and got following result:
e6ae19944d977dc91bc45adff679337182c20683 is the first bad commit
commit e6ae19944d977dc91bc45adff679337182c20683
Author: Kenneth Graunke <kenneth@whitecape.org>
Date: Thu Nov 24 01:50:10 2016 -0800

My environment is: CPU Intel Core i5-4300M; GPU Intel® HD Graphics 4600; Ubuntu 16.04; kernel 4.15.0-36-generic
Comment 2 Mark Janes 2018-10-26 16:02:34 UTC
Hi Marina - thanks for the bisect, it really helps us understand the situation.

The bisected commit has some specific remarks about tests exceeding the uniform component limit enforced by the linker.

Ken, your commit probably preceded the coverage of glcts in CI.  Is this test a reason to revisit the constant array promotion code, or should we mark as WONTFIX?
Comment 3 GitLab Migration User 2019-09-25 19:09:47 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1698.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.